stages:
 - build 
 - test 
 - deploy 
  
build-job: 
  stage: build
  script:
    - echo 'construindo ambiente...'
    - echo 'Ambiente ta bala!'

teste-unitario:
  stage: test
  script:
    -echo "Rodando testes..."
    -sleep 30
    -echo 'Testes finalizados'

lint-teste:
  stage: test
  script:
    -echo 'Rodando'
    -echo 'Sleep 10'
    -echo 'Feito'

deploy:
  stage: deploy
  script:
    -echo 'Subindo codigo'
    -echo 'Rodando'    